Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		pingus
Version:	0.7.2
Release:	6
Summary:	Game similiar to Lemmings
Group:		Games/Arcade
License:	GNU/GPL
URL:		http://pingus.seul.org/
Source0:	%{name}-%{version}.tar.bz2
Source201:	%{name}.desktop
Source202:	%{name}.png
Patch0:		%{name}-%{version}-gcc43.patch
Patch1:		pingus-0.7.2-boost-mt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ClanLib-devel 
BuildRequires:	desktop-file-utils 
BuildRequires:	automake 
BuildRequires:	gettext
BuildRequires:	scons

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

#Automatically resolved build dependencies
BuildRequires: boost-devel
BuildRequires: glibc
BuildRequires: guile
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel

%description
A game inspired by the game Lemmings. You take command in the game of a bunch
of small penguins and have to guide them around in levels. Since the penguins
walk on their own, the player can only influence them by giving them commands,
like build a bridge, dig a hole or redirect all penguins in the other
direction. The goal of each level is to reach the exit, for which multiple
combination of commands are necessary. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
# fix scons not finding mt variant of boost
%patch1 -p1
iconv -f ISO8859-2 -t UTF8 AUTHORS > AUTHORS.tmp
mv AUTHORS.tmp AUTHORS

%build
scons

%install
rm -rf $RPM_BUILD_ROOT

./install.sh $RPM_BUILD_ROOT/usr

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE201}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE202} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%changelog
* Mon Sep 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-6
- rebuilt against boost 1.40.0-1
* Thu Aug 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-5
- rebuilt against boost 1.39.0-1
* Mon Jan 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-4
- rebuilt against boost 1.37.0-3
* Mon Jun 23 2008 Christian Wasem <wasem@ccux-linux.de> 0.7.2-3
- rebuild against boost
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 0.7.2-2
- rebuild, group correction to Games/Arcade
* Mon Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- version update
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.7.0-0.1.svn2701
- Initial Release
